Bug 1350764

Summary: nfdump built with debug output enabled
Product: [Fedora] Fedora EPEL Reporter: Per Steinar Iversen <PerSteinar.Iversen>
Component: nfdumpAssignee: Denis Fateyev <denis>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: epel7CC: denis
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: nfdump-1.6.15-2.fc24 nfdump-1.6.15-2.fc23 nfdump-1.6.15-2.fc22 nfdump-1.6.15-2.el7 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-07-02 15:24:39 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Per Steinar Iversen 2016-06-28 10:46:27 UTC
Description of problem:

Excessive debug output after update to 1.6.15

Version-Release number of selected component (if applicable):

1.6.15

How reproducible:

Always

Steps to Reproduce:
1. Start nfdump
2. Observe the output
3.

Actual results:

A large amount of debug output in addition to the expected output.

Expected results:

Less noise.


Additional info:

The spec-file contains the line "--enable-devel" for configure, according to the website this adds a lot of debug output:

> Development and beta options
>
>    --enable-devel
>    Insert lots of debug and development code into nfdump for testing and debugging; default is NO

Rebuilding the rpm with this option removed makes the update userfriendly once more.

Comment 1 Denis Fateyev 2016-06-28 17:58:55 UTC
Sounds reasonable. I added debugging to catch more details in flow, but indeed, now it looks a bit superfluous. I'll rebuild packages without this option.

Comment 2 Fedora Update System 2016-06-29 17:27:07 UTC
nfdump-1.6.15-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-96a50fb101

Comment 3 Fedora Update System 2016-06-29 17:27:13 UTC
nfdump-1.6.15-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-76dac84a5e

Comment 4 Fedora Update System 2016-06-29 17:27:18 UTC
nfdump-1.6.15-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-db0d77c4ce

Comment 5 Fedora Update System 2016-06-29 17:27:21 UTC
nfdump-1.6.15-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-dd5a8e5948

Comment 6 Fedora Update System 2016-06-30 22:18:33 UTC
nfdump-1.6.15-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-db0d77c4ce

Comment 7 Fedora Update System 2016-06-30 22:23:44 UTC
nfdump-1.6.15-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-dd5a8e5948

Comment 8 Fedora Update System 2016-06-30 22:26:43 UTC
nfdump-1.6.15-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-96a50fb101

Comment 9 Fedora Update System 2016-06-30 22:54:37 UTC
nfdump-1.6.15-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-76dac84a5e

Comment 10 Fedora Update System 2016-07-02 15:24:37 UTC
nfdump-1.6.15-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2016-07-09 23:53:10 UTC
nfdump-1.6.15-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2016-07-12 02:21:35 UTC
nfdump-1.6.15-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2016-07-15 14:16:43 UTC
nfdump-1.6.15-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.